As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 765556 - Allow to disable gconf
: Allow to disable gconf
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 17.0
Assigned To: Landry Breuil (:gaston)
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-17 02:50 PDT by Landry Breuil (:gaston)
Modified: 2012-07-17 02:41 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
allow to disable building against gconf (891 bytes, patch)
2012-06-22 08:59 PDT, Landry Breuil (:gaston)
standard8: review+
Details | Diff | Splinter Review

Description User image Landry Breuil (:gaston) 2012-06-17 02:50:49 PDT
m-c allows to disable building against gconf (see http://mxr.mozilla.org/mozilla-central/source/configure.in#5015), c-c could allow doing the same. Atm, if you build against gtk2, gconf is enabled inconditionally (see http://mxr.mozilla.org/comm-central/source/configure.in#4863) and there's no way to disable it.

Is there any particular reason ? If not, i'll do a patch..
Comment 1 User image Mark Banner (:standard8) 2012-06-18 02:09:51 PDT
We've generally not been doing build system ports unless we need to, in lieu of getting bug 648979 implemented. If you need it, then there's nothing against porting that.
Comment 2 User image Landry Breuil (:gaston) 2012-06-22 08:59:39 PDT
Created attachment 635772 [details] [diff] [review]
allow to disable building against gconf

Here's the patch backported from mozilla/configure.in .. i'll do some build testing here. And i need it because most of our users dont want the de on gconf, hence we hack it out from configure..
Comment 3 User image Landry Breuil (:gaston) 2012-06-28 09:32:58 PDT
Forgot to say that it actually works, if using --disable-gconf in .mozconfig MOZ_GCONF_CFLAGS and MOZ_GCONF_LIBS are properly unset.
Comment 4 User image Mark Banner (:standard8) 2012-07-17 02:20:13 PDT
Comment on attachment 635772 [details] [diff] [review]
allow to disable building against gconf

Looks good.
Comment 5 User image Landry Breuil (:gaston) 2012-07-17 02:41:11 PDT
http://hg.mozilla.org/comm-central/rev/d4734df5d6fb

Note You need to log in before you can comment on or make changes to this bug.